## twisted 17.9.0

=== debian/changelog ===
twisted (17.9.0-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Deprecating priority extra as per policy 4.0.1
    (closes: #687218)
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Colin Watson ]
  * Fix conch MSG_DEBUG parsing on Python 2 (closes: #895374).
  * Fix incorrect Homepage field (closes: #866642).

 -- Colin Watson <cjwatson@debian.org>  Fri, 20 Apr 2018 23:55:26 +0100

twisted (17.9.0-1) unstable; urgency=medium

  * New upstream release 17.9.0.
  * Explicitly depend on python-automat/python3-automat (>= 0.6.0).

 -- Matthias Klose <doko@debian.org>  Tue, 26 Sep 2017 23:25:12 +0200

twisted (17.9.0~rc1-1) unstable; urgency=medium

  * New upstream release candidate 17.9.0.
  * Bump debhelper and standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Sep 2017 16:42:41 +0200

twisted (17.5.0-2) unstable; urgency=medium

  * Make autopkgtest depend on setuptools

 -- Free Ekanayaka <freee@debian.org>  Mon, 04 Sep 2017 08:41:29 +0000

twisted (17.5.0-1) unstable; urgency=medium

  * New upstream version 17.5.0
  * Drop unused patches
  * Refresh 0002-combinedlog.patch
  * Add new build-dependency on Python hyperlink
  * Drop deprecated portmap.so (see upstream's #8464)
  * Bump build dependency on Python automat (>= 0.6.0)
  * Add patches for failing tests

 -- Free Ekanayaka <freee@debian.org>  Sun, 27 Aug 2017 09:24:58 +0000

twisted (17.1.0-1) experimental; urgency=medium

  * New upstream version 17.1.0

 -- Free Ekanayaka <freee@debian.org>  Fri, 17 Feb 2017 10:31:45 +0000
