=== debian/watch ===
version=3
https://pypi.debian.net/Twisted/Twisted-([\d\.]*)\.tar\.bz2
