## twisted 18.4.0

=== debian/changelog ===
twisted (18.4.0-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 23 Aug 2018 09:12:23 +0200

twisted (18.4.0-2) unstable; urgency=medium

   * Fixup async issues and compatibility with Python 3.7 (Gianfranco
     Costamagna). Closes: #902766.
   * Drop the first chunk of the 0011-fix-broken-sslverify-tests patch,
     works on Debian only.

 -- Matthias Klose <doko@debian.org>  Tue, 03 Jul 2018 05:50:32 +0200

twisted (18.4.0-1) unstable; urgency=medium

  * New upstream version 18.4.0
  * Add .travis.yml for CI on Travis (will need to be moved to Salsa)
  * Remove myself from Uploaders

 -- Free Ekanayaka <freee@debian.org>  Sun, 06 May 2018 09:19:29 +0000
