=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Matthias Klose <doko@debian.org>,
-           Free Ekanayaka <freee@debian.org>
+Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
                patch,
