## twisted 18.7.0

=== debian/changelog ===
twisted (18.7.0-3) unstable; urgency=medium

  * Team upload.

  [ nyov ]
  * Update requirement for attr version.  Closes: #910056

  [ Mattia Rizzolo ]
  * Annotate python-dbg dependency with :any (from the m-a hinter).

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 02 Oct 2018 16:40:06 +0200

twisted (18.7.0-2) unstable; urgency=medium

  * python{,3}-hamcrest is only a test dependency, not a runtime dependency.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Aug 2018 21:15:10 +0200

twisted (18.7.0-1) unstable; urgency=medium

  * New upstream version.
  * Remove patches applied upstream.
  * Stop applying the fix for #772629, upstream ticket #7730.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Aug 2018 14:46:11 +0200

twisted (18.4.0-3) unstable; urgency=medium

  * Team upload.
  * Declare Breaks against h2 before 3.0.0

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 13 Aug 2018 15:44:16 +0200
