=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                python3-hyperlink,
                python3-doc
 Build-Depends-Indep: python3-sphinx
-Standards-Version: 4.1.0
+Standards-Version: 4.1.5
 Homepage: https://twistedmatrix.com/
 Vcs-Browser: https://salsa.debian.org/python-team/modules/twisted
 Vcs-Git: https://salsa.debian.org/python-team/modules/twisted.git
@@ -36,6 +36,7 @@
          python3-twisted-bin (>= ${source:Version}),
          python3-zope.interface (>= 4.0.2),
          python3-automat (>= 0.6.0),
+         python3-attr (>= 17.1.0),
          ${misc:Depends},
          python3-openssl, python3-service-identity
 Suggests: python3-tk,
@@ -48,6 +49,7 @@
 Provides: ${python:Provides}
 Conflicts: python3-twisted-experimental
 Replaces: python3-twisted-experimental
+Breaks: python3-h2 (<< 3.0.0)
 Description: Event-based framework for internet applications
  It includes a web server, a telnet server, a multiplayer RPG engine, a
  generic client and server for remote object access, and APIs for creating
@@ -117,6 +119,7 @@
 Depends: python-twisted-bin (>= ${source:Version}),
          python-zope.interface (>= 4.0.2),
          python-automat (>= 0.6.0),
+         python-attr (>= 17.1.0),
          ${python:Depends},
          ${misc:Depends},
          python-openssl,
@@ -145,6 +148,7 @@
         python-twisted-words (<< 15.5.0-3),
         torbrowser-launcher (<= 0.2.0-1~),
         python-scrapy (<< 1.0.0-1~),
+        python-h2 (<< 3.0.0),
         txsocksx (<< 1.13.0.4-1~)
 Description: Event-based framework for internet applications
  It includes a web server, a telnet server, a multiplayer RPG engine, a
@@ -240,7 +244,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: python-twisted-runner (= ${binary:Version}),
-         python-dbg,
+         python-dbg:any,
          ${shlibs:Depends},
          ${misc:Depends}
 Description: twisted dummy package for process management
