## twisted 18.9.0

=== debian/changelog ===
twisted (18.9.0-11ubuntu0.20.04.5) focal-security; urgency=medium

  * SECURITY UPDATE: Out-of-order HTTP request processing.
    - debian/patches/CVE-2024-41671-*.patch: Move self.allContentReceived()
      after self._dataBuffer.append(data) in src/twisted/web/http.py. Add
      tests.
    - CVE-2024-41671

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Fri, 22 Nov 2024 14:59:07 -0330

twisted (18.9.0-11ubuntu0.20.04.4) focal-security; urgency=medium

  * SECURITY UPDATE: HTML injection in HTTP redirect body
    - debian/patches/CVE-2024-41810.patch: added output 
      encoding in redirect HTML
    - CVE-2024-41810

 -- Nick Galanis <nick.galanis@canonical.com>  Wed, 21 Aug 2024 16:43:07 +0300

twisted (18.9.0-11ubuntu0.20.04.3) focal-security; urgency=medium

  * SECURITY UPDATE: script injection via unescaped 404 response
    - debian/patches/CVE-2022-39348.patch: fix NameVirtualHost HTML
      injection vulnerability.
    - CVE-2022-39348
  * SECURITY UPDATE: Disordered HTTP pipeline response in twisted.web
    - debian/patches/CVE-2023-46137-*.patch: handle requests in raw mode.
    - CVE-2023-46137

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 04 Dec 2023 09:02:22 -0500

twisted (18.9.0-11ubuntu0.20.04.2) focal-security; urgency=medium
  
  * SECURITY UPDATE: Information disclosure results in leaking of HTTP cookie
    and authorization headers when following cross origin redirects
    - debian/patches/CVE-2022-21712-*.patch: Ensure sensitive HTTP headers are
      removed when forming requests, in src/twisted/web/client.py,
      src/twisted/web/test/test_agent.py and src/twisted/web/iweb.py.
    - CVE-2022-21712

  * SECURITY UPDATE: Parsing of SSH version identifier field during an SSH
    handshake can result in a denial of service when excessively large packets
    are received
    - debian/patches/CVE-2022-21716-*.patch: Ensure that length of received
      handshake buffer is checked, prior to processing version string in
      src/twisted/conch/ssh/transport.py and
      src/twisted/conch/test/test_transport.py
    - CVE-2022-21716

 -- Ray Veldkamp <ray.veldkamp@canonical.com>  Mon, 21 Mar 2022 21:13:42 +1100

twisted (18.9.0-11ubuntu0.20.04.1) focal; urgency=medium

  * Fix NoneType encode error when multipart body does not include
    content-disposition headers (LP: #1915819)
    - d/p/lp1915819-Fix-nonetype-encode-error.patch

 -- Victor Manuel Tapia King <victor.tapia@canonical.com>  Wed, 17 Feb 2021 14:46:53 +0100

twisted (18.9.0-11) unstable; urgency=medium

  * Drop python2 support; Closes: #938731

 -- Sandro Tosi <morph@debian.org>  Wed, 01 Apr 2020 20:34:17 -0400

twisted (18.9.0-10) unstable; urgency=medium

  * The package currently doesn’t build apidocs, make this non-fatal.
    When apidocs aren’t available, skip fixing up the URLs so that the
    online version can be used.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 27 Mar 2020 10:59:44 +0100

twisted (18.9.0-9) unstable; urgency=medium

  * Wrap long lines in changelog entries: 18.9.0-2.
  * Bump debhelper from old 9 to 12.
  * Convert debian/copyright to the machine-readable format.
    Also provide fill.copyright.blanks.yml for scan-copyrights to
    make it easier to update it in future.
  * Fix day-of-week for changelog entries 1.1.2-1, 1.1.0-1, 1.0.7-1.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Improve building without documentation:
    - DEB_BUILD_OPTIONS has to have nodoc, not nodocs to skip docs.
    - Not only don’t install them, but don’t build them either.
    - Support nodoc build profile.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 26 Mar 2020 17:31:42 +0100

twisted (18.9.0-8) unstable; urgency=high

  * A no-change upload to set urgency to high since the upload
    fixes security issues.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 23 Mar 2020 21:14:09 +0100

twisted (18.9.0-7) unstable; urgency=medium

  [ Marc Deslauriers ]
  * SECURITY UPDATE: incorrect URI and HTTP method validation
    - debian/patches/CVE-2019-12387.patch: prevent CRLF injections in
      src/twisted/web/_newclient.py, src/twisted/web/client.py,
      src/twisted/web/test/injectionhelpers.py,
      src/twisted/web/test/test_agent.py,
      src/twisted/web/test/test_webclient.py.
    - CVE-2019-12387
    - Closes: #930389
  * SECURITY UPDATE: incorrect cert validation in XMPP support
    - debian/patches/CVE-2019-12855-*.patch: upstream patches to implement
      certificate checking.
    - CVE-2019-12855
    - Closes: #930626
  * SECURITY UPDATE: HTTP/2 denial of service issues
    - debian/patches/CVE-2019-951x.patch: buffer outbound control frames
      and timeout invalid clients in src/twisted/web/_http2.py,
      src/twisted/web/error.py, src/twisted/web/http.py,
      src/twisted/web/test/test_http.py,
      src/twisted/web/test/test_http2.py.
    - CVE-2019-9511
    - CVE-2019-9514
    - CVE-2019-9515
  * SECURITY UPDATE: request smuggling attacks
    - debian/patches/CVE-2020-1010x-pre1.patch: refactor to reduce
      duplication in src/twisted/web/test/test_http.py.
    - debian/patches/CVE-2020-1010x.patch: fix several request smuggling
      attacks in src/twisted/web/http.py,
      src/twisted/web/test/test_http.py.
    - CVE-2020-10108
    - CVE-2020-10109
    - Closes: #953950

  [ Emmanuel Arias ]
  * Add patch to fix SyntaxWarning (Closes: #948560).

  [ Moritz Muehlenhoff  ]
  * Remove Suggests on python-gtk2/python-glade2, which is being removed.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 23 Mar 2020 20:49:21 +0100

twisted (18.9.0-6) unstable; urgency=medium

  * Use python2 in the Python2 autopkg test.
  * python-twisted-*-dbg: Depend on python2-dbg instead of python-dbg.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jan 2020 21:25:22 +0100

twisted (18.9.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Add python{,3}-hamcrest to B-D (Closes: #943582).

