=== debian/tests/control ===
Tests: unit-tests-3
Restrictions: needs-root
Depends: @,
	 python3-setuptools,
	 python3-hamcrest,
