## twisted 20.3.0

=== debian/changelog ===
twisted (20.3.0-7ubuntu1.1) impish-security; urgency=medium
  
  * SECURITY UPDATE: Information disclosure results in leaking of HTTP cookie
    and authorization headers when following cross origin redirects
    - debian/patches/CVE-2022-21712-*.patch: Ensure sensitive HTTP headers are
      removed when forming requests, in src/twisted/web/client.py,
      src/twisted/web/test/test_agent.py and src/twisted/web/iweb.py.
    - CVE-2022-21712

  * SECURITY UPDATE: Parsing of SSH version identifier field during an SSH
    handshake can result in a denial of service when excessively large packets
    are received
    - debian/patches/CVE-2022-21716-*.patch: Ensure that length of received
      handshake buffer is checked, prior to processing version string in
      src/twisted/conch/ssh/transport.py and
      src/twisted/conch/test/test_transport.py
    - CVE-2022-21716

 -- Ray Veldkamp <ray.veldkamp@canonical.com>  Tue, 15 Mar 2022 19:51:29 +1100

twisted (20.3.0-7ubuntu1) impish; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Fix NoneType encode error when multipart body does not include
      content-disposition headers

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 10 Aug 2021 09:34:55 +0000

twisted (20.3.0-7) unstable; urgency=medium

  * Team upload.
  * Use the correct patch for upload (Closes: #984493) Sorry!

 -- Ole Streicher <olebole@debian.org>  Sat, 24 Apr 2021 18:36:24 +0200

twisted (20.3.0-6) unstable; urgency=medium

  * Team upload.
  * Fix skipIf call to actually fix autopkgtest
  * Add Gitlab CI configuration

 -- Ole Streicher <olebole@debian.org>  Sat, 24 Apr 2021 18:36:24 +0200

twisted (20.3.0-5) unstable; urgency=medium

  * Team upload.
  * skip failing QueryArgumentsTests.testParseqs test

 -- Ole Streicher <olebole@debian.org>  Sat, 24 Apr 2021 14:24:44 +0200

twisted (20.3.0-4ubuntu1) hirsute; urgency=medium

  * Fix NoneType encode error when multipart body does not include
    content-disposition headers (LP: #1915819)
    - d/p/lp1915819-Fix-nonetype-encode-error.patch

 -- Victor Manuel Tapia King <victor.tapia@canonical.com>  Wed, 17 Feb 2021 12:48:20 +0100

twisted (20.3.0-4build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:22:33 +0000

twisted (20.3.0-4) unstable; urgency=medium

  * Team upload.
  * Fix several autopkgtest failures. (Closes: #979838)
    - d/p/0016-Try-exec-ing-ckeygen3-if-ckeygen-was-not-found.path:
      Rename ckeygen to ckeygen3.
    - d/p/0017-Add-digestmod-parameter-to-HMAC.__init__-invocations.patch:
      Add digestmod parameter to HMAC.__init__() invocations.
    - d/p/0018-Make-the-twisted-tests-work-when-pyOpenSSL-deletes-N.patch:
      Make the twisted tests work when pyOpenSSL deletes NPN.
    - d/p/0019-Replace-base64.-string-functions-to-fix-py3.9-suppor.patch:
      Replace base64.*string() functions to fix py3.9 support.
    - d/p/0020-Fix-imap4-utf-7-codec-lookup-function-for-Python-3.9.patch:
      Rename imap4-utf-7 to imap_utf_7.
    - d/p/0021-Merge-9652-wiml-mktime-Allow-mktime-to-raise-EOVERFL.patch:
      Allow mktime() to raise EOVERFLOW if isdst=1 and there's no DST.
    - d/p/0022-increase-size-of-FFDH-keys-for-conch-testing.patch:
      Increase size of FFDH keys for conch testing.
    - d/p/0023-Merge-9801-rodrigc-cgi-Change-import-of-cgi.parse_qs.patch:
      Change import of cgi.parse_qs to urllib.parse.parse_qs.
    - d/p/0024-fixed-corrupted-iqmp-value-in-test-RSA-key.patch:
      Fix corrupted iqmp value in test RSA key.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 13 Feb 2021 02:12:02 -0500

twisted (20.3.0-3) unstable; urgency=medium

  * Update python3-twisted dependencies to match upstream tls and conch
    extras: in particular, the missing dependency on python3-bcrypt broke
    openssh's autopkgtests.

 -- Colin Watson <cjwatson@debian.org>  Mon, 19 Oct 2020 23:13:43 +0100

twisted (20.3.0-2) unstable; urgency=medium

  * Upload to unstable

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Andrej Shadura ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.0, no changes needed.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 14 Oct 2020 15:19:41 +0200

twisted (20.3.0-1) experimental; urgency=medium

  * New upstream release 20.3.0.
  * Drop patches applies upstream.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 23 Mar 2020 21:08:16 +0100

twisted (19.10.0~rc1-1) experimental; urgency=medium

  * New upstream 19.10.0 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Oct 2019 21:07:04 +0100
