=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                patch,
                python2-doc,
@@ -19,10 +19,10 @@
                python3-hyperlink,
                python3-doc
 Build-Depends-Indep: python3-sphinx <!nodoc>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://twistedmatrix.com/
-Vcs-Browser: https://salsa.debian.org/python-team/modules/twisted
-Vcs-Git: https://salsa.debian.org/python-team/modules/twisted.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/twisted
+Vcs-Git: https://salsa.debian.org/python-team/packages/twisted.git
 
 Package: python3-twisted
 Architecture: all
@@ -34,8 +34,10 @@
          ${misc:Depends},
          python3-openssl,
          python3-idna,
-         python3-service-identity,
+         python3-service-identity (>= 18.1.0),
          python3-hamcrest,
+         python3-cryptography (>= 2.5),
+         python3-bcrypt (>= 3.0.0),
 Suggests: python3-tk,
           python3-pampy,
           python3-qt4,
